# ZPhotoSlides, Zope product
# Copyright (C) 2002-2003  Jean-Franois Roche <jfroche@jfroche.be>
#                          Florent Carlier <florent.carlier@insa-rennes.fr>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# $Id: batch_slides.py,v 2.1 2004/07/16 12:13:21 jfroche Exp $'

import ZTUtils
import math

column = context.column
rows = context.rows
total = context.non_hidden_pic
page = rows*column
images = context.thumbnails.viewable_images()
images.sort(lambda x, y: cmp(x.position, y.position))
tmp1,tmp2 = divmod(total,page)
if(tmp2!=0):
   tmp1 = tmp1+1
#print tmp1
batch_slides = []
batch_slides.append(ZTUtils.Batch(images,page,0))
for i in range(tmp1-1):
    if (batch_slides[i].next):
      batch_slides.append(batch_slides[i].next)
    else:
      break

return batch_slides
